package com.iformall.pay;

import lombok.Data;

/**
 * Created by Stormeye on 2018/8/10.
 * 普通商户模式
 */
@Data
public class WxPayOrderP {
    private String appid;               // 小程序ID
    private String mch_id;              // 商户号
    private String nonce_str;           // 随机字符串
    private String sign;                // 签名
    private String body;                // 商品简单描述 128
    private String out_trade_no;        // 商户订单号
    private Integer total_fee;          // 支付金额
    private String spbill_create_ip;    // 支付IP
    private String goods_tag;           // 优惠标识
    private String notify_url;          // 通知地址
    private String trade_type;          // 支付类型
    private String product_id;          // 商品ID - 扫码必传
    private String time_start;          // 开始时间
    private String time_expire;         // 失效时间
    private String openid;              // openId

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("WxPayOrderP{");
        sb.append("appid='").append(appid).append('\'');
        sb.append(", mch_id='").append(mch_id).append('\'');
        sb.append(", nonce_str='").append(nonce_str).append('\'');
        sb.append(", sign='").append(sign).append('\'');
        sb.append(", body='").append(body).append('\'');
        sb.append(", out_trade_no='").append(out_trade_no).append('\'');
        sb.append(", total_fee=").append(total_fee);
        sb.append(", spbill_create_ip='").append(spbill_create_ip).append('\'');
        sb.append(", goods_tag='").append(goods_tag).append('\'');
        sb.append(", notify_url='").append(notify_url).append('\'');
        sb.append(", trade_type='").append(trade_type).append('\'');
        sb.append(", product_id='").append(product_id).append('\'');
        sb.append(", time_start='").append(time_start).append('\'');
        sb.append(", time_expire='").append(time_expire).append('\'');
        sb.append(", openid='").append(openid).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
